<xsl:stylesheet xmlns:xsl="http://www.w3.org/1999/XSL/Transform" version="1.0">
<xsl:output method="text"/>
<xsl:variable name="REQUEST" select="'Request'"/>
<xsl:variable name="RESPONSE" select="'Response'"/>
<xsl:variable name="PARAMS" select="'Params'"/>
<xsl:variable name="STRING" select="'string'"/>
<xsl:variable name="URL" select="'url'"/>

<xsl:include href="errors.xsl"/>

<xsl:template match="/">
 <xsl:apply-templates select="/data/response"/>
 <xsl:apply-templates select="/data/error"/>
 <xsl:apply-templates select="/data/info"/>
</xsl:template>

<xsl:template match="response">
        <xsl:element name="{$REQUEST}">
            <xsl:attribute name="class">photos</xsl:attribute>
            <xsl:attribute name="function">uploadFile</xsl:attribute>
            <xsl:element name="{$PARAMS}">
                <xsl:element name="{$STRING}">
                    <xsl:attribute name="name">file</xsl:attribute>
                    <xsl:value-of select="/data/Request/Params/string[@name = 'file']"/>
                </xsl:element>
                <xsl:element name="{$STRING}">
                    <xsl:attribute name="name">fileName</xsl:attribute>
                    <xsl:value-of select="/data/Request/Params/string[@name = 'fileName']"/>
                </xsl:element>
                <xsl:element name="{$STRING}">
                    <xsl:attribute name="name">url</xsl:attribute>
                    <xsl:value-of select="upload_url"/>
                </xsl:element>
            </xsl:element>
        </xsl:element>
</xsl:template>
</xsl:stylesheet>
